$AdfDhtmlInputNumberSpinboxPeer$$.$_SUB_ID_MAP$ = {increment:"increment", decrement:"decrement"};
$AdfDhtmlInputNumberSpinboxPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputNumberSpinboxPeer$$$$$GetSubIdDomElement$$($subElementId$$21$$) {
  var $component$$1822$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$21$$, $AdfDhtmlInputNumberSpinboxPeer$$.$_SUB_ID_MAP$, $component$$1822$$, this, $AdfDhtmlInputNumberSpinboxPeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputNumberSpinboxPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputNumberSpinboxPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputNumberSpinboxPeer$$$$$GetBestMatchSubId$$($domElement$$562$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$562$$, this, $AdfDhtmlInputNumberSpinboxPeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputNumberSpinboxPeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputNumberSpinboxPeer$$.prototype.$GetBestMatchSubId$});
